## PetscLog

- <CONCEPT>profiling multiple stages of code;</CONCEPT> Solves two linear systems in parallel with KSP. The code
  illustrates repeated solution of linear systems with the same preconditioner
  method but different matrices (having the same nonzero structure). The code
  also uses multiple profiling stages. Input arguments are
  -m <size> : problem size
  -mat_nonsym : use nonsymmetric matrix (default is symmetric)
- <CONCEPT>profiling multiple stages of code;</CONCEPT> The solution of 2 different linear systems with different linear solvers.
  Also, this example illustrates the repeated
  solution of linear systems, while reusing matrix, vector, and solver data
  structures throughout the process. Note the various stages of event logging.
- <CONCEPT>user-defined event profiling;</CONCEPT> The solution of 2 different linear systems with different linear solvers.
  Also, this example illustrates the repeated
  solution of linear systems, while reusing matrix, vector, and solver data
  structures throughout the process. Note the various stages of event logging.